Bug 1352003 - Plugin enable options are confusing
Summary: Plugin enable options are confusing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-01 11:28 UTC by Stephen Benjamin
Modified: 2019-09-26 16:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
6.2.4 installer options (1.38 KB, text/plain)
2016-11-15 11:36 UTC, Renzo Nuccitelli
no flags Details
6.3.0 snap 6 installer options (1.16 KB, text/plain)
2016-11-15 11:36 UTC, Renzo Nuccitelli
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15556 0 Normal Closed Plugin enable options are confusing 2019-12-11 05:44:49 UTC

Description Stephen Benjamin 2016-07-01 11:28:54 UTC
Every plugin has 2 options like this:

<pre>
    --[no-]enable-foreman-plugin-remote-execution Enable 'foreman_plugin_remote_execution' puppet module (default: false)
    --foreman-proxy-plugin-remote-execution-ssh-enabled  Enables/disables the plugin (default: true)
</pre>

The former is really the one to use to actually enabling the plugin, the latter only triggers the .yml config enable option.

It's very confusing for end users who probably see the second option first as it's near the end of the --help.

Comment 1 Stephen Benjamin 2016-07-01 11:28:58 UTC
Created from redmine issue http://projects.theforeman.org/issues/15556

Comment 3 Bryan Kearney 2016-07-01 22:16:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15556 has been closed

Comment 4 Stephen Benjamin 2016-08-01 18:49:12 UTC
*** Bug 1359816 has been marked as a duplicate of this bug. ***

Comment 7 Renzo Nuccitelli 2016-11-15 11:36:05 UTC
Created attachment 1220805 [details]
6.2.4 installer options

Comment 8 Renzo Nuccitelli 2016-11-15 11:36:51 UTC
Created attachment 1220806 [details]
6.3.0 snap 6 installer options

Comment 9 Renzo Nuccitelli 2016-11-15 11:39:57 UTC
I have uploaded as attachments the cli commands to verifying installer options on both version 6.2.4 and 6.3.0 snap 6. Here is the diff between files:

[renzo@note Documents]$ diff sat63-plugin-options sat62-plugin-options 
1,3c1,3
< [root@foo ~]# rpm -q satellite
< satellite-6.3.0-6.1.beta.el7sat.noarch
< [root@foo ~]# satellite-installer --help | grep plugin-remote-execution
---
> [root@bar ~]# rpm -q satellite
> satellite-6.2.4-1.0.el7sat.noarch
> [root@bar ~]# satellite-installer --help | grep plugin-remote-execution
5a6
>     --foreman-proxy-plugin-remote-execution-ssh-enabled  Enables/disables the plugin (default: true)
6a8
>     --foreman-proxy-plugin-remote-execution-ssh-listen-on  Proxy feature listens on https, http, or both (default: "https")
[renzo@note Documents]$ 

Once --foreman-proxy-plugin-remote-execution-ssh-enabled is not present on 6.3.0 snap 6 anymore I am changing the status of this bug to verified.

Comment 11 Satellite Program 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.